Component for work with official google api

Component for work with official google api

skeeks/yii2-google-api

Семенов Александр

Установить

Component for work with google api based on google/apiclient

@разработчик решения

Время публикации: понедельник, 28 марта 2016 г. (год назад)

Добавил: Семенов Александр

Категория: Прочее

Актуальная версия: 1.0.0
28 марта 2016 г., 17:21:37 (год назад)

Packagist: skeeks/yii2-google-api

: https://github.com/skeeks-semenov/yii2-google-api

: 1140 (За месяц: 54)

Тип: Компонент

Component for work with official google api

Partly wrapper over powerful official package from google — google/apiclient

Installation

The preferred way to install this extension is through composer.

Either run

php composer.phar require --prefer-dist skeeks/yii2-google-api "*"

or add

"skeeks/yii2-google-api": "*"

How to use

Configuration app

//App config
[
    'components'    =>
    [
    //....
        'googleApi' =>
        [
            'class'                 => '\skeeks\yii2\googleApi\GoogleApiComponent',
            'developer_key'         => 'YOUR_GOOLE_API_KEY',
        ],
    //....
    ]
]

An example of the Api transliteration

https://cloud.google.com/translate/v2/using_rest


$service = new Google_Service_Translate(\Yii::$app->googleApi->client); $result = $service->languages->listLanguages([ 'target' => 'ru' ]); print_r($result);

$result = $service->translations->listTranslations('apple', 'ru'); print_r($result);

skeeks!
SkeekS CMS (Yii2) — quickly, easily and effectively!
skeeks.com | en.cms.skeeks.com | cms.skeeks.com | marketplace.cms.skeeks.com

CHANGELOG

1.0.0

  • Stable release

Все комментарии (0)
Нет комментариев

dev-master — 28 марта 2016 г., 17:24:07 (год назад)

1.0.0 — 28 марта 2016 г., 17:21:37 (год назад)

Стандартная установка:

Добавьте composer.json файл вашего проекта:

"skeeks/yii2-google-api": "*"

Запустите обновление зависимостей


Читать про обнолвение SkeekS CMS